Current-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: current pkgsrc, thunderbird failure


Joerg Sonnenberger wrote:
> On Wed, Oct 02, 2013 at 08:56:12PM +0200, Riccardo Mottola wrote:
>> Hi,
>> now that I updated distribution to current, I'm working my way upwards
>> on the packages again.
>> Thunderbird fails to build:
>> checking for gconf-2.0 >= 1.2.1 gobject-2.0 ... checking __attribute__
>> ((aligned ())) support... trying 64
>> 64
>> checking for vpx >= 1.0.0... Package vpx was not found in the pkg-config
>> search path. Perhaps you should add the directory containing `vpx.pc' to
>> the PKG_CONFIG_PATH environment variable No package 'vpx' found
>> configure: error: Library requirements (vpx >= 1.0.0) not met; consider
>> adjusting the PKG_CONFIG_PATH environment variable if your libraries are
>> in a nonstandard prefix so pkg-config can find them.
>> configure: error: ./configure failed for mozilla
>> *** Error code 1
> Check config.log for details please.
I checked inside mozilla/config.log and it ends this way:
configure:18798: checking __attribute__ ((aligned ())) support
configure:18815: gcc -c -O2 -I/usr/pkg/include -I/usr/include
/nspr -I/usr/pkg/include/nss/nss -I/usr/X11R7/include
m -I/usr/X11R7/include/freetype2 -fno-strict-aliasing -Dunix
 -fdata-sections -pthread -Werror -I/usr/pkg/include -I/usr/include
nclude/nspr -I/usr/pkg/include/nss/nss -I/usr/X11R7/include
/libdrm -I/usr/X11R7/include/freetype2 conftest.c 1>&5
configure:19054: checking for vpx >= 1.0.0

usually config.log has also the failure and the tests, this looks
strange to me. There was more output on the screen, but the tests are
clearly those.


Home | Main Index | Thread Index | Old Index